[slind-devel] [gcc] armel support

Mikhail Gusarov dottedmag at dottedmag.net
Wed Apr 23 21:10:32 MSD 2008


arm-unbreak-eabi-armv4t.dpatch patch taken from Debian armel port.
---
 debian/changelog                              |    6 ++++
 debian/patches/arm-unbreak-eabi-armv4t.dpatch |   37 +++++++++++++++++++++++++
 debian/rules.patch                            |    1 +
 3 files changed, 44 insertions(+), 0 deletions(-)
 create mode 100644 debian/patches/arm-unbreak-eabi-armv4t.dpatch

diff --git a/debian/changelog b/debian/changelog
index c8415a7..1d05762 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+gcc-4.1 (4.1.2-2) unstable; urgency=low
+
+  * armel support. Added patch arm-unbreak-eabi-armv4t.dpatch from debian.
+
+ -- Mikhail Gusarov <dottedmag at dottedmag.net>  Tue, 22 Apr 2008 22:05:09 +0700
+
 gcc-4.1 (4.1.2-1) unstable; urgency=low
 
   * Merged 4.1.2 from debian.
diff --git a/debian/patches/arm-unbreak-eabi-armv4t.dpatch b/debian/patches/arm-unbreak-eabi-armv4t.dpatch
new file mode 100644
index 0000000..0449856
--- /dev/null
+++ b/debian/patches/arm-unbreak-eabi-armv4t.dpatch
@@ -0,0 +1,37 @@
+#! /bin/sh -e
+
+# DP: Fix armv4t build on ARM
+
+dir=
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+    pdir="-d $3"
+    dir="$3/"
+elif [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch)
+        patch $pdir -f --no-backup-if-mismatch -p1 < $0
+        ;;
+    -unpatch)
+        patch $pdir -f --no-backup-if-mismatch -R -p1 < $0
+        ;;
+    *)
+        echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+        exit 1
+esac
+exit 0
+
+diff -urN gcc-4.1.1/gcc/config/arm/linux-eabi.h gcc-4.1.1-arm9tdmi/gcc/config/arm/linux-eabi.h
+--- gcc-4.1.1/gcc/config/arm/linux-eabi.h	2006-10-22 11:11:49.000000000 -0700
++++ gcc-4.1.1-arm9tdmi/gcc/config/arm/linux-eabi.h	2006-10-24 21:34:01.000000000 -0700
+@@ -45,7 +45,7 @@
+    The ARM10TDMI core is the default for armv5t, so set
+    SUBTARGET_CPU_DEFAULT to achieve this.  */
+ #undef SUBTARGET_CPU_DEFAULT
+-#define SUBTARGET_CPU_DEFAULT TARGET_CPU_arm10tdmi
++#define SUBTARGET_CPU_DEFAULT TARGET_CPU_arm9tdmi
+ 
+ #undef SUBTARGET_EXTRA_LINK_SPEC
+ #define SUBTARGET_EXTRA_LINK_SPEC " -m armelf_linux_eabi"
diff --git a/debian/rules.patch b/debian/rules.patch
index 9212aa1..0911e36 100644
--- a/debian/rules.patch
+++ b/debian/rules.patch
@@ -35,6 +35,7 @@ debian_patches = \
 	arm-libffi \
 	note-gnu-stack \
 	arm-gij \
+	arm-unbreak-eabi-armv4t \
 	hppa-cbranch \
 	hppa-cbranch2 \
 	m68k-fjump \
-- 
1.5.5



More information about the slind-devel mailing list